Package org.springframework.security.authentication

# Class AuthenticationObservationConvention

java.lang.Object
org.springframework.security.authentication.AuthenticationObservationConvention

All Implemented Interfaces:
  `io.micrometer.observation.KeyValuesConvention`, `io.micrometer.observation.ObservationConvention<AuthenticationObservationContext>`

public final class AuthenticationObservationConvention extends Object implements io.micrometer.observation.ObservationConvention<AuthenticationObservationContext>
An `ObservationConvention` for translating authentications into `KeyValues`.

Since:
  6.0

## Field Summary

### Fields inherited from interface io.micrometer.observation.ObservationConvention

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationObservationConvention()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContextualName(AuthenticationObservationContext context)`
`@NotNull io.micrometer.common.KeyValues`
`getLowCardinalityKeyValues(AuthenticationObservationContext context)`
`String`
`getName()`
`boolean`
`supportsContext(io.micrometer.observation.Observation.Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.micrometer.observation.ObservationConvention

`getHighCardinalityKeyValues`

## Constructor Details

### AuthenticationObservationConvention

public AuthenticationObservationConvention()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `io.micrometer.observation.ObservationConvention<AuthenticationObservationContext>`

### getContextualName

public String getContextualName(AuthenticationObservationContext context)

Specified by:
  `getContextualName` in interface `io.micrometer.observation.ObservationConvention<AuthenticationObservationContext>`

### getLowCardinalityKeyValues

@NotNull public @NotNull io.micrometer.common.KeyValues getLowCardinalityKeyValues(@NonNull AuthenticationObservationContext context)

Specified by:
  `getLowCardinalityKeyValues` in interface `io.micrometer.observation.ObservationConvention<AuthenticationObservationContext>`

### supportsContext

public boolean supportsContext(@NotNull io.micrometer.observation.Observation.Context context)

Specified by:
  `supportsContext` in interface `io.micrometer.observation.ObservationConvention<AuthenticationObservationContext>`